#ifndef _Handle_PColgp_SeqNodeOfHSequenceOfPnt_HeaderFile
#define _Handle_PColgp_SeqNodeOfHSequenceOfPnt_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PMMgt_PManaged_HeaderFile
#include <Handle_PMMgt_PManaged.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PMMgt_PManaged);
class PColgp_SeqNodeOfHSequenceOfPnt;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColgp_SeqNodeOfHSequenceOfPnt);

class Handle(PColgp_SeqNodeOfHSequenceOfPnt) : public Handle(PMMgt_PManaged) {
  public:

    Handle(PColgp_SeqNodeOfHSequenceOfPnt)():Handle(PMMgt_PManaged)() {} 
    Handle(PColgp_SeqNodeOfHSequenceOfPnt)(const Handle(PColgp_SeqNodeOfHSequenceOfPnt)& aHandle) : Handle(PMMgt_PManaged)(aHandle) 
     {
     }

    Handle(PColgp_SeqNodeOfHSequenceOfPnt)(const PColgp_SeqNodeOfHSequenceOfPnt* anItem) : Handle(PMMgt_PManaged)((PMMgt_PManaged *)anItem) 
     {
     }

    Handle(PColgp_SeqNodeOfHSequenceOfPnt)& operator=(const Handle(PColgp_SeqNodeOfHSequenceOfPnt)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColgp_SeqNodeOfHSequenceOfPnt)& operator=(const PColgp_SeqNodeOfHSequenceOfPnt* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColgp_SeqNodeOfHSequenceOfPnt* operator->() const 
     {
      return (PColgp_SeqNodeOfHSequenceOfPnt *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColgp_SeqNodeOfHSequenceOfPnt) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
